# Class MyFileFilter

java.lang.Object
javax.swing.filechooser.FileFilter
org.openscience.jmol.app.janocchio.MyFileFilter

public class MyFileFilter extends FileFilter

## Constructor Summary

Constructors
Constructor
Description
`MyFileFilter(String[] extensions, String label)`
`MyFileFilter(String extension, String label)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(File f)`
`boolean`
`checkExtension(File f)`
`String`
`getDescription()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MyFileFilter

public MyFileFilter(String[] extensions, String label)

### MyFileFilter

public MyFileFilter(String extension, String label)

## Method Details

### accept

public boolean accept(File f)

Specified by:
  `accept` in class `FileFilter`

### getDescription

public String getDescription()

Specified by:
  `getDescription` in class `FileFilter`

### checkExtension

public boolean checkExtension(File f)